#### PyKDE - Python Bindings for KDE

# class KIntSpinBox |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KIntSpinBox
Inherits | TQSpinBox

### methods

- KIntSpinBox (parent = 0, name = 0)

  returns a KIntSpinBox instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0

- KIntSpinBox (lower, upper, step, value, base = 10, parent = 0, name = 0)

  returns a KIntSpinBox instance
  Argument | Type | Default
  --- | --- | ---
  lower | int |
  upper | int |
  step | int |
  value | int |
  base | int | 10
  parent | TQWidget | 0
  name | char | 0

- base ()

  returns (int)

- mapTextToValue ()

  Not Implemented

- mapValueToText (a0)

  returns (TQString)
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- setBase (base)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  base | int |

- setEditFocus (mark)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  mark | bool |